<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class DaAchNotif extends AbsMail
{
    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Le demandeur @1@ (@2@) demande une consultation pour la demande N°@3@'),
            $this->listeData['DEM_NOM'],
            $this->listeData['DEM_CODE'],
            $this->listeData['DA_NUM']
        );
    }

    public function getMessage(): string
    {
        return implode("\r\n", [
            $this->trad->t('Bonjour,'),
            '',
            Trad::strBuild(
                $this->trad->t('@1@ (@2@) a passé une demande d’achat N°@3@ nécessitant une consultation.'),
                $this->listeData['DEM_NOM'],
                $this->listeData['DEM_CODE'],
                $this->listeData['DA_NUM']
            ),
            '',
            $this->trad->t('Cordialement,'),
            $this->trad->t('L’équipe Achat'),
        ]);
    }
}
